Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Parámetros de encabezado

Foundry-Features enum requerido

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

Parámetros de la ruta de acceso

name string requerido

Name of the model.

version string requerido

Version of the model.

Cuerpo de la solicitud

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum requerido

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Respuestas

The request has succeeded.

Cuerpo

Content-Type: application/json
blobReference BlobReference requerido

Blob reference details.

blobUri string requerido

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string requerido

ARM ID of the storage account to use.

credential SasCredential requerido

SAS Credential definition

sasUri string requerido

SAS uri

type enum requerido

Type of credential

SAS
pendingUploadId string requerido

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum requerido

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

Encabezados

x-ms-error-code string

String error code indicating what went wrong.

Cuerpo

Content-Type: application/json
error Azure.Core.Foundations.Error requerido

The error object.

code string requerido

One of a server-defined set of error codes.

message string requerido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Encabezados

x-ms-error-code string

String error code indicating what went wrong.

Cuerpo

Content-Type: application/json
error Azure.Core.Foundations.Error requerido

The error object.

code string requerido

One of a server-defined set of error codes.

message string requerido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Solicitar

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

Respuesta

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026